petsc-3.4.2 2013-07-02

# VecChop

Set all values in the vector less than the tolerance to zero

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecChop(Vec v, PetscReal tol)

### Input Parameters

| v | - The vector
| tol | - The zero tolerance

### Output Parameters

v -The chopped vector

### See Also

VecCreate(), VecSet()

Level:intermediate
Location:src/vec/vec/utils/vecio.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex31.c.html
src/snes/examples/tutorials/ex62.c.html